Browse the API reference

List User Graphs and Repositories

get/v1/graphs

Part of Graphs.

Authentication

Authenticate in any one of these ways — not all of them:

  • API key in the X-API-Key header.
  • Bearer token in the Authorization header.

Example request

curl
curl -X GET "https://api.robosystems.ai/v1/graphs" \
  -H "X-API-Key: $ROBOSYSTEMS_API_KEY"

Responses

200 Successful Response

FieldTypeDescription
graphsrequiredGraphInfo[]

List of accessible graphs

GraphInfo fields
FieldTypeDescription
graphIdrequiredstring

Graph database identifier

graphNamerequiredstring

Display name for the graph

descriptionoptionalstring

Free-form description ('' when unset)

Default:

tagsoptionalstring[]

Organizational tags for the graph

rolerequiredstring

User's role/access level

isSelectedrequiredboolean

Whether this is the currently selected graph

createdAtrequiredstring

Creation timestamp

isRepositoryoptionalboolean

Whether this is a shared repository (vs user graph)

Default: false

repositoryTypeoptionalstring

Repository type if isRepository=true

schemaExtensionsoptionalstring[]

List of schema extensions installed on this graph

isSubgraphoptionalboolean

Whether this is a subgraph (vs a main graph)

Default: false

parentGraphIdoptionalstring

Parent graph ID if this is a subgraph

graphTypeoptionalstring

Type of graph: generic, entity, or repository

Default: entity

statusoptionalstring

Graph lifecycle status: active, suspended, deprovisioned

Default: active

selectedGraphIdoptionalstring

Currently selected graph ID

StatusMeaning
400Invalid request
401Authentication required
403Access denied
429Rate limit exceeded
500Internal server error